> For the complete documentation index, see [llms.txt](https://kb.logicerp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/purchase/push/physical-verification-puv.md).

# Physical Verification PUV

## Save Physical Verification PUV :- LOGIC API PUSH - PHYSICAL VERIFY PU <a href="#heading" id="heading"></a>

This API is used to Save the Physical Verification Against Purchase Voucher in LOGIC

### **Authorization Detail**

| Name          | Detail                                                     |
| ------------- | ---------------------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SavePhysicalVerificationPUV> |
| Request Type  | POST                                                       |
| Authorization | Basic Auth                                                 |
| Username      | Demo                                                       |
| Password      | 1                                                          |

### **Request**

```

{
    "BranchCode": 2,
    "PUV_Bill_No": "AC-1",
    "Doc_Type": "PU",
    "DocCode": 0 ,
    "ListItems": [ 
        {
            "LogicUser_Code": "8900001",
            "AddlItemCode": "",
            "Packing_Box_No": "",
            "Quantity": 5.0 
        },
        {
            "LogicUser_Code": "8900002",
            "AddlItemCode": "",
            "Packing_Box_No": "",
            "Quantity": 5.0 
        },
        {
            "LogicUser_Code": "8900003",
            "AddlItemCode": "",
            "Packing_Box_No": "",
            "Quantity": 4.0 
        }
    ]
}

```

### **Response**

```
 
{
    "PrintFile": "",
    "Invoice_No": "",
    "Order_No": "",
    "Status": true,
    "Message": "",
    "LastSavedCode": ""
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/purchase/push/physical-verification-puv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
